<%-- 
    Document   : exportarDisponibilidad
    Created on : 06/12/2014, 08:42:21 AM
    Author     : sistem16user
--%>

<%@page import="pe.siso.horario.Beans.PeriodoAcademico"%>
<%@page import="pe.siso.horario.Beans.Usuario"%>
<%@page import="java.util.Calendar"%>
<%@page import="pe.siso.horario.Beans.DisponibilidadDocente"%>
<%@page import="pe.siso.horario.Services.DisponibilidadServices"%>
<%@page import="pe.siso.horario.Beans.Docente"%>
<%@page import="java.util.ArrayList"%>
<%@page import="pe.siso.horario.Services.DocenteServices"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
   
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
    <%  
            HttpSession session_actual = request.getSession(true);
            Usuario usuario=(Usuario)session_actual.getAttribute("usuario");
            PeriodoAcademico periodo=(PeriodoAcademico)session_actual.getAttribute("periodo");
            String codperiodo = ""+periodo.getCodigoPeriodo();
            
        
            response.setContentType("application/vnd.ms-excel; ");
            response.setHeader("Content-Disposition","attachment; filename=UsuarioDocente.xls");
            
            String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
            String centrado="style='vertical-align:middle;' ";
            String borderColor="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#B5E0F5;'";
            String borderColorTitulo="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#006699; color:#FFFFFF;'";
            String estilo = "";
            String ruta=this.getServletContext().getRealPath("/");
            response.setContentType("text/html");
            ruta=ruta + "imagenes/icons/check_box.png";
            System.out.println(ruta);
            
            
           Calendar cal1 = Calendar.getInstance();
           
           int diaA = cal1.get(Calendar.DATE);
           int mes = cal1.get(Calendar.MONTH);
           int hora = cal1.get(Calendar.HOUR);
           int minuto = cal1.get(Calendar.MINUTE);
           int segundo = cal1.get(Calendar.SECOND);
           String diaAc = "";
           String mesAc = "";
           String hrAc = "";
           String minAc = "";
           String secAc = "";
           
           if(diaA<10){ diaAc = "0"+diaA; }else{ diaAc = ""+diaA;}
           
           if(mes<10){ mesAc = "0"+mes; }else{ mesAc = ""+mes; }
           
           if(hora<10){  if(hora==0){ hrAc = "12"; }else{ hrAc = "0"+hora;  } }else{  hrAc = ""+hora; }
           
           if(minuto<10){ minAc = "0"+minuto; }else{ minAc = ""+minuto; }
           
           if(segundo<10){ secAc = "0"+segundo; }else{ secAc = ""+segundo; }
           
           
           int horaAc = 0;
           String perDia = "";
           
           if(hora<12){ 
            perDia="am."; 
            if(hora<10 && hora>0){
                hrAc="0"+hora;
                }else if(hora==0){
                    hrAc="12";
                }else{
                    hrAc=""+hora; 
                }  
            }else{
                if(hora==12){
                    hrAc="12";
                }else{
                    horaAc=hora-12;
                    if(horaAc<10){
                        hrAc="0"+horaAc;
                    }else{
                        hrAc = ""+horaAc;
                    }
                }
                perDia="pm.";
            }
           
        DocenteServices servicios = new DocenteServices(); 
        ArrayList<Docente> lista = null;
        DisponibilidadServices servicios2 = new DisponibilidadServices();
        ArrayList<DisponibilidadDocente> listaDotence = null;
        listaDotence=servicios2.listaTodoDisponibilidad(codperiodo);
        String apellido = request.getParameter("apellido");
        ArrayList<DisponibilidadDocente> lista2=null;
        lista2=servicios2.docentesAsignados(codperiodo);
        lista=servicios.listaDocentes(apellido);
        DisponibilidadServices serviciosDD = new DisponibilidadServices();
    %> 
    <table border='0' >
            <tr>
                <td <%=centrado%> colspan='8' align='center'><h3>DISPONIBILIDAD DE LOS DOCENTES</h3></td>
            </tr> 
            <tr>
                <td colspan='4' align=''></td>
                <td colspan='4' align='right'>SACO OLIVEROS - SISTEMAS</td>
            </tr> 
            <tr>
                <td colspan='4' align=''>FUENTE: SISTEMA DE HORARIOS</td>
                <td colspan='4' align='right'>RESPONSABLE: <%=usuario!=null?usuario.getNombreTipoUsuario():""%></td>
            </tr> 
            <tr>
                <td colspan='4' align=''>REGISTROS: <%=listaDotence.size()%></td>
                <td colspan='4' align='right'>ACTUALIZACIÓN: <%=diaAc+"/"+mesAc+"/"+cal1.get(Calendar.YEAR)+" "+hrAc+":"+minAc+":"+secAc+" "+perDia%></td>
            </tr> 
    <%
        
        
        for(int doc=0;doc<listaDotence.size();doc++){
            String codDoc = listaDotence.get(doc).getCodDoc();
            int conta = doc+1;
        
        Docente docente = new Docente();
        //String codDoc = request.getParameter("codDoc");
        docente = servicios.NombreDocente(codDoc);
        String cadenaDia = serviciosDD.ConsultaDisponibilidad(codDoc,codperiodo);
        String TM = "";
        String TT = "";
        String TN = "";
        String[] arrayGrupo = cadenaDia.split("-");
        for(int i=0; i<arrayGrupo.length;i++){
            String[] arrayTD = arrayGrupo[i].split("#");
            if(arrayTD[0].equals("1")){
                if(TM.equals("")){
                    TM+="0-"+arrayTD[1];
                }else{
                    TM+="-"+arrayTD[1];
                }

            }else if(arrayTD[0].equals("2")){
                if(TT.equals("")){
                    TT+="0-"+arrayTD[1];
                }else{
                    TT+="-"+arrayTD[1];
                }
            }else if(arrayTD[0].equals("3")){
                if(TN.equals("")){
                    TN+="0-"+arrayTD[1];
                }else{
                    TN+="-"+arrayTD[1];
                }
            }
        }
        String[] arrayDisponibilidad = {TM,TT,TN};
        
        String[] arrayHora = {"07:50 am. a 02:30 pm.","03:00 pm. a 07:00 pm.","07:00 pm. a 10:00 pm."};
        String[] arrayTurno = {"MAÑANA","TARDE","NOCHE"};
        

%>
        
            <tr>
               <td <%=borderColorTitulo%> align='center' width='130'>HORAS</td>
               <td <%=borderColorTitulo%> align='center' width='65'>TURNO</td>
               <td <%=borderColorTitulo%> align='center' width='70'>LUNES</td>
               <td <%=borderColorTitulo%> align='center' width='70'>MARTES</td>
               <td <%=borderColorTitulo%> align='center' width='70'>MIERCOLES</td>
               <td <%=borderColorTitulo%> align='center' width='70'>JUEVES</td>
               <td <%=borderColorTitulo%> align='center' width='70'>VIERNES</td>
               <td <%=borderColorTitulo%> align='center' width='70'>SÁBADO</td>
               
            </tr>
                    <%
                    int dato = 0;
                    int turno = 0;
                    int posicion = 1;
                    int dia = 0;
                    for(int i = 0; i<3;i++){
                        turno = i+1;
                    %>
             <tr> 
                <td <%=border%> width='50' align='center' height='30'><%=arrayHora[i]%></td>
                <td <%=border%> width='50' align='center' height='30'><%=arrayTurno[i]%></td>
                    <%
                    
                    for(int j=1; j<=6;j++){
                        if(arrayDisponibilidad[i]==""){%>
                        <td  align='center' <%=border%>> <font face='Adobe Hebrew' style='font-size:11px'> NO</font> </td>    
                    <%
                    }
                        else{
                            String[] arrayDias = arrayDisponibilidad[i].split("-");
                            for(int d=0;d<arrayDias.length;d++){
                                dia = Integer.parseInt(arrayDias[d]);
                                if(j==dia){
                                    dato = dato+1; 
                                }else{
                                    dato = dato+0; 
                                }
                            }

                            if(dato==1){%>
                            
                        <td align='center' <%=border%> style="background-color: #D7D7D7"> <font face='Adobe Hebrew' style='font-size:11px'>  SI</font></td>
                            <%
                            }else{
                            %>
                            <td  align='center' <%=border%>> <font face='Adobe Hebrew' style='font-size:11px'> NO</font> </td>
                           <% }
                            dato=0;
                        }
                        
                       
                    posicion++;
                    }    
                   }
       
                   %>
             </tr>
             <tr>
                <td colspan='8' <%=borderColor%> > 
                    <b>Docente:</b>
                    <%=docente.getApe_pro()%>, <%=docente.getNom_pro()%>
                </td> 
            </tr>
            <tr>
                <td colspan='8'></td> 
            </tr>
             <%
             }
             %>
      </table>
    
    
    </body>
</html>
